Don't fail validate due to warnings in Cabal
authorIan Lynagh <igloo@earth.li>
Wed, 27 Jul 2011 14:00:21 +0000 (15:00 +0100)
committerIan Lynagh <igloo@earth.li>
Wed, 27 Jul 2011 14:01:15 +0000 (15:01 +0100)
Duncan says that Cabal isn't guaranteed to be warning-free.

mk/validate-settings.mk
utils/ghc-cabal/ghc.mk

index 9f06417..f4c5162 100644 (file)
@@ -54,6 +54,11 @@ endif
 ######################################################################
 # Disable some warnings in packages we use
 
+# Cabal doesn't promise to be warning-free
+utils/ghc-cabal_dist_EXTRA_HC_OPTS += -w
+libraries/Cabal/cabal_dist-boot_EXTRA_HC_OPTS += -w
+libraries/Cabal/cabal_dist-install_EXTRA_HC_OPTS += -w
+
 # Temporarily turn off incomplete-pattern warnings for containers
 libraries/containers_dist-install_EXTRA_HC_OPTS += -fno-warn-incomplete-patterns
 
index bb28a3a..39a26f0 100644 (file)
@@ -34,7 +34,8 @@ $(GHC_CABAL_DIR)/dist/build/tmp/ghc-cabal$(exeext): $(GHC_CABAL_DIR)/Main.hs | $
               -hidir bootstrapping \
               -ilibraries/Cabal/cabal \
               -ilibraries/filepath \
-              -ilibraries/hpc
+              -ilibraries/hpc \
+              $(utils/ghc-cabal_dist_EXTRA_HC_OPTS)
        touch $@
 
 # touch is required, because otherwise if mkdirhier is newer, we